import { DeepPartial } from '@azure-tools/codegen';
import { Expression, ExpressionOrLiteral } from '../expression';
import { OneOrMoreStatements, Statements } from './statement';
export declare class UsingStatement extends Statements {
    usingExpression: Expression;
    constructor(usingExpression: ExpressionOrLiteral, statements: OneOrMoreStatements, objectInitializer?: DeepPartial<UsingStatement>);
    get implementation(): string;
}
export declare function Using(usingExpression: ExpressionOrLiteral, body: OneOrMoreStatements, objectInitializer?: DeepPartial<UsingStatement>): UsingStatement;
//# sourceMappingURL=using.d.ts.map